<?php

add_action( 'woocommerce_proceed_to_checkout', 'disable_checkout_button_no_shipping', 1 );
function disable_checkout_button_no_shipping() {

    $session = WC()->session;
    if(!$session) {
        return;
    }

    $minAmount = $session->get( 'shipping-rate-cart' );
    if(!$minAmount || $minAmount == 0) {
        return;
    }

    $chosen_shipping_methods = WC()->session->get( 'chosen_shipping_methods' );
    // removes empty values from the array
    $chosen_shipping_methods = array_filter( $chosen_shipping_methods );
    if ( empty( $chosen_shipping_methods ) ) {
        remove_action( 'woocommerce_proceed_to_checkout','woocommerce_button_proceed_to_checkout', 20);
    }

}

/**
*   Redirect user back of cart page if user does not have a min amount of product in cart
*/
add_action( 'template_redirect' , 'napps_checkout_validation' );
function napps_checkout_validation(){

    $session = WC()->session;
    if(!$session) {
        return;
    }

    $disableCheckout = $session->get( 'shipping-rate-cart-disable-checkout' );
    if(!$disableCheckout) {
        return;
    }

	if(is_checkout()){
		wp_safe_redirect( get_permalink( get_option('woocommerce_cart_page_id') ) );
        exit;
	}

}

/**
*   Show notice error on top of cart page that we need a min amount of product
*   to be able to use this shipping method
*/
add_action('woocommerce_before_cart', 'woocommerce_before_cart', 1);
function woocommerce_before_cart() {

    $session = WC()->session;
    if(!$session) {
        return;
    }

    $minAmount = $session->get( 'shipping-rate-cart' );
    if(!$minAmount || $minAmount == 0) {
        return;
    }

    $title = sanitize_text_field(
        __('You need at least ', 'napps') . $minAmount . __(' items in your cart in order to be able to ship to your destination', 'napps')
    );

    if(!wc_has_notice($title)) {
        wc_add_notice($title, "notice");
    }
}